declare namespace AMap {
  interface MouseTool extends Tool {
    new (map: Map): MouseTool

    marker(options?: Marker.Options): void
    polyline(options?: Polyline.Options): void
    polygon(options?: Polygon.Options): void
    rectangle(options?: Rectangle.Options): void
    circle(options?: Circle.Options): void
    rule(options?: Polyline.Options): void
    measureArea(options?: Polygon.Options): void
    rectZoomIn(options?: Polygon.Options): void
    rectZoomOut(options?: Polygon.Options): void
    close(clear?: boolean): void
  }
}
